commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Subscript

# Documentation

class HasSubscript a where #

Methods

subscript :: a -> a #

#### Instances

Instances details

HasSubscript (Html a) # |
Instance details Defined in Commonmark.Extensions.Subscript Methods subscript :: Html a -> Html a #
(HasSubscript i, Monoid i) => HasSubscript (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Subscript Methods subscript :: WithSourceMap i -> WithSourceMap i #

subscriptSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasSubscript il) => SyntaxSpec m il bl #